[Numpy-discussion] 1.7.0 release

Ondřej Čertík ondrej.certik@gmail....
Wed Nov 14 12:02:50 CST 2012


> Hi all,
>
> Having looked at the README.txt and INSTALL.txt files on the
> branch, I see no mention of which Python 3.x versions are supported:
>
> https://github.com/numpy/numpy/blob/maintenance/1.7.x/README.txt
> https://github.com/numpy/numpy/blob/maintenance/1.7.x/INSTALL.txt
>
> Is NumPy 1.7 intended to support Python 3.3?
>
> My impression from this thread is probably yes:
> http://mail.scipy.org/pipermail/numpy-discussion/2012-July/063483.html
> ...
> http://mail.scipy.org/pipermail/numpy-discussion/2012-August/063597.html
>
> If so, then under Windows (32 bit at least) where the Python.org
> provided Python 3.3 is compiled with MSCV 2010 there are some
> problems - see: https://github.com/numpy/numpy/pull/2726

Thanks Peter for the email, yes I think we should support Python 3.3.

> Should an issue be filed for this?

I just did:

https://github.com/numpy/numpy/issues/2743


Btw, I also bumbed this issue as priority high:

https://github.com/numpy/numpy/issues/2738

Because it segfaults numpy.

Ondrej


More information about the NumPy-Discussion mailing list